import { CustomEventEmitter } from '../../custom';
import { RegItemUrlData, ValidatableItem } from './interface';
declare class RegistryItemURL extends CustomEventEmitter implements ValidatableItem {
    private _id;
    private _value;
    private _basename;
    private _dependencies;
    type: string;
    target: string;
    validate: (() => boolean) | null;
    loaded: boolean;
    constructor(data: RegItemUrlData);
    get id(): string;
    set value(val: string);
    get value(): string;
    get basename(): string;
    get alias(): string;
    get dependencies(): string[];
    set dependencies(arr: string[]);
    test(): boolean;
}
export { RegistryItemURL };
export default RegistryItemURL;
